## org.apache.poi.hssf.util
Class Region

    java.lang.Object
      org.apache.poi.ss.util.Region
          org.apache.poi.hssf.util.Region

All Implemented Interfaces:
  java.lang.Comparable<Region>

Deprecated. (Aug-2008) use `CellRangeAddress`

    public class Region

extends Region

Represents a from/to row/col square. This is a object primitive that can be used to represent row,col - row,col just as one would use String to represent a string of characters. Its really only useful for HSSF though.

Author:
  Andrew C. Oliver acoliver at apache dot org

Constructor Summary
`Region()` Deprecated. Creates a new instance of Region (0,0 - 0,0)
`Region(int rowFrom, short colFrom, int rowTo, short colTo)` Deprecated.
`Region(java.lang.String ref)` Deprecated.

Method Summary

Methods inherited from class org.apache.poi.ss.util.Region
`compareTo, contains, convertCellRangesToRegions, convertRegionsToCellRanges, convertToCellRangeAddress, equals, getArea, getColumnFrom, getColumnTo, getRegionRef, getRowFrom, getRowTo, setColumnFrom, setColumnTo, setRowFrom, setRowTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Region

    public Region()

  Deprecated.
  Creates a new instance of Region (0,0 - 0,0)

### Region

    public Region(int rowFrom,
                  short colFrom,
                  int rowTo,
                  short colTo)

  Deprecated.

### Region

    public Region(java.lang.String ref)

  Deprecated.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.